::  RD2CSV.bat 
::
::	Batch file to process several RD files with the config contained
::	with. Only the SIM NCOM is output.
::	
::	Requirements:
::	- NCOM2CSV.exe for the CSV export
::	- Command line tool fc for the file comparison
::	- blended.exe
::	
::
::	Last edited: HH 170316
::	Last tested with NAVSuite Version 160523


@ECHO OFF
@setlocal enableextensions enabledelayedexpansion    

::Reference config file name
set refcfg=reference config
::File extensions that we want to keep
set formats=.rd.bat.ncom.csv.log.
::Config extensions that you want to compare
set formatscomp=.ata.att.cfg.gap.gpa.hwcfg.nsa.nsp.nvsa.nvsp.vaa.vat.

for %%x in (*.rd) do (

	set fnWithExt=%%x
    set fnWithoutExt=%%~nx
    echo RD2CSV BATCH LOG: Found RD file %%x
    echo RD2CSV BATCH LOG: Found RD file %%x >> RD2CSV.log

	echo RD2CSV BATCH LOG: Extracting config from %%x
	echo RD2CSV BATCH LOG: Extracting config from %%x >> RD2CSV.log
	
	::Extracting the configuration
	blended file=!fnWithoutExt! cfg_exp=!fnWithoutExt! -proc -cook -comb -sim -fwd -bwd >> RD2CSV.log
	
	::Compare the the current configs to the reference config
	for %%C in (*.*) do (
		if "!formatscomp:%%~xC.=!" neq "!formatscomp!" (
			fc !fnWithoutExt!%%~xC "%refcfg%\mobile%%~xC" >> RD2CSV.log
		) 
	)
	
	:: Adding in the command in the cfg output on NCOM file from blended
	echo -pp_output_ncom >> !fnWithoutExt!.cfg 
	
	echo RD2CSV BATCH LOG: Processing rd file %%x
	echo RD2CSV BATCH LOG: Processing rd file %%x >> RD2CSV.log

	::Processing the blended file 
	blended file=!fnWithoutExt! path=*_ -cook -comb -fwd -bwd >> RD2CSV.log
	
	echo RD2CSV BATCH LOG: converting !fnWithoutExt!.ncom to csv
	echo RD2CSV BATCH LOG: converting !fnWithoutExt!.ncom to csv >> RD2CSV.log

	NCOM2CSV sim_!fnWithoutExt!.ncom !fnWithoutExt!.csv
	
	:: Delete the configuration files
	for %%A in (*.*) do (
	  if not "!formats:%%~xA.=!" neq "!formats!" (
		del %%A
		echo RD2CSV BATCH LOG: %%A deleted >> RD2CSV.log
	  )
	)

)
